Loading...
Searching...
No Matches
mdds::fst::detail::const_iterator_base< FstType, Hdl > Class Template Reference

## Public Types

typedef FstType | fst_type
using | value_type
using | pointer = value_type*
using | reference = value_type&
using | difference_type = ptrdiff_t
using | iterator_category = ::std::bidirectional_iterator_tag

## Public Member Functions

| const_iterator_base (const fst_type *_db, bool _end)
| const_iterator_base (const fst_type *_db, const typename fst_type::node *pos)
| const_iterator_base (const const_iterator_base &r)
const_iterator_base & | operator= (const const_iterator_base &r)
const_iterator_base & | operator++ ()
const_iterator_base & | operator-- ()
bool | operator== (const const_iterator_base &r) const
bool | operator!= (const const_iterator_base &r) const
value_type | operator* ()
value_type | operator-> ()

## Protected Member Functions

const fst_type::node * | get_pos () const
const fst_type * | get_parent () const
bool | is_end_pos () const

## Member Typedef Documentation

## value_type

template<typename FstType, typename Hdl>

using mdds::fst::detail::const_iterator_base< FstType, Hdl >::value_type

Initial value:
mdds::detail::ref_pair<
std::add_const_t<typename fst_type::key_type>, std::add_const_t<typename fst_type::value_type>>
mdds::detail::ref_pair
Definition ref_pair.hpp:15